# Changelog



## 4.0.5
- add support for MPA-server multisample format (produced by MPA >=3.4).The new MPA multisample format allows automatic parsing of sample descriptors. This way, users no longer need to explicitly list the sample descriptors for parsing by Prophane.
- fix deprecation warnings for string escape sequences and pandas

## 4.0.4
- improved error message for illegal accessions in proteomic search result: print illegal accessions instead of lists 
containing illegal accessions among legal ones

## 4.0.3
- speed up resolving of base environment (environment.yaml) by reordering conda channels
- add test for resolving of environment.yaml to CI
- bump snakemake dependency to >=5.7.0
- speed up tests by reusing rule specific conda environments

## 4.0.2
- reduce IO overhead by executing mafft related rules (run_mafft, report_mafft) once for all protein groups 
instead of once per protein group
- fix: minimal/maximal sequence length calculation now correctly handles gaps in the alignment

## 4.0.1
- include protein group number in mafft related progress messages

## 4.0.0
- BREAKING: rename main execution script from run.sh to prophane
- BREAKING: remove automatic activation of conda environment from main execution script to allow packaging for distribution with conda.
The conda environment for prophane now must be activated manually prior to prophane execution.

## 3.3.1
- fix: fail on non-defined task-parameters in config yaml

## 3.3.0
- Added new config key `search_result` in input section, which can be used in combination with all search result styles,
    making style-specific file keys obsolete
- Make `sample_groups` config section optional for input styles that allow it to reduce the number of mandatory 
    execution arguments  
  
  styles for which `sample_groups` is optional:
  - generic.yaml
  - mpa_1_8_x.yaml
  - scaffold_4_8_x.yaml
  
  styles for which `sample_groups` is mandatory:
  - mpa_server_multisample.yaml

## 3.2.0
- Added support for [FOAM DB](https://cbb.pnnl.gov/portal/software/FOAM.html)
- Added support for [Resfams DB](http://www.dantaslab.org/resfams)
- Added support for [CAZy/canDB](http://bcb.unl.edu/dbCAN2/download/Databases/)
