rule run_mafft:
  input:
    expand('seqs/pg.{n}.faa', n = get_groups_to_align_from_pg_yaml("pgs/protein_groups.yaml"))
  output:
    expand('algn/pg.{n}.mafft', n=get_groups_to_align_from_pg_yaml('pgs/protein_groups.yaml'))
  message:
    "aligning protein group members..."
  conda:
    "../envs/mafft.yaml"
  shell:
    '''
    for file in {input};
    do
        pgID="$(basename ""$file"" | grep -o '[0-9]\\+')";
        mafft --auto --quiet --anysymbol --thread {threads} $file > algn/pg.${{pgID}}.mafft;
    done
    '''
